Bug 967214 - collectd : does not adhere to Static Library Packaging Guidelines
collectd : does not adhere to Static Library Packaging Guidelines
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: collectd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 11:04 EDT by Michael Schwendt
Modified: 2013-05-29 09:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 09:36:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-05-25 11:04:53 EDT
collectd-5.3.0-1.fc20.src
is missing
BuildRequires: iproute-static

[...]

https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

If a library you depend on only provides a static version your package can link against it provided that you BuildRequire the *-static subpackage. Packagers in such a situation should be aware that if a shared library becomes available, that you should adjust your package to use the shared library.
Comment 1 Ruben Kerkhof 2013-05-26 04:46:26 EDT
Hi Michael,

There is no iproute-static.
We have a BuildRequires: iproute-devel, which has the static libnetlink.a library

Are you automatically opening these bug reports, or did you find this another way?
Comment 2 Michael Schwendt 2013-05-26 07:06:10 EDT
There's a virtual -static package as explained in the linked packaging guidelines:

  # repoquery --whatprovides iproute-static
  iproute-devel-0:3.9.0-1.fc19.i686
  iproute-devel-0:3.9.0-1.fc19.x86_64
  iproute-devel-0:3.9.0-1.fc19.i686
  iproute-devel-0:3.9.0-1.fc19.x86_64

And yes, these tickets are opened/closed automatically by a highly experimental (albeit pretty safe) script. Current bug status:
http://mschwendt.fedorapeople.org/staticbugstat.html
Comment 3 Ruben Kerkhof 2013-05-27 03:23:34 EDT
Ah, sorry, I missed that.

Will fix... thanks.
Comment 4 Michael Schwendt 2013-05-29 09:36:21 EDT
Closed by: fedora-report-static-batch.py
http://mschwendt.fedorapeople.org/staticbugstat.html

Note You need to log in before you can comment on or make changes to this bug.